HttpProbeResultSummary¶
- class oci.healthchecks.models.HttpProbeResultSummary(**kwargs)¶
Bases:
objectThe results returned by running an HTTP probe. All times and durations are returned in milliseconds. All times are relative to the POSIX epoch (1970-01-01T00:00Z). Time properties conform to W3C Resource Timing. For more information, see PerformanceResourceTiming interface.
Attributes:
A constant which can be used with the error_category property of a HttpProbeResultSummary.
A constant which can be used with the error_category property of a HttpProbeResultSummary.
A constant which can be used with the error_category property of a HttpProbeResultSummary.
A constant which can be used with the error_category property of a HttpProbeResultSummary.
A constant which can be used with the error_category property of a HttpProbeResultSummary.
A constant which can be used with the protocol property of a HttpProbeResultSummary.
A constant which can be used with the protocol property of a HttpProbeResultSummary.
Gets the connect_end of this HttpProbeResultSummary.
Gets the connect_start of this HttpProbeResultSummary.
Gets the connection of this HttpProbeResultSummary.
Gets the dns of this HttpProbeResultSummary.
Gets the domain_lookup_end of this HttpProbeResultSummary.
Gets the domain_lookup_start of this HttpProbeResultSummary.
Gets the duration of this HttpProbeResultSummary.
Gets the encoded_body_size of this HttpProbeResultSummary.
Gets the error_category of this HttpProbeResultSummary.
Gets the error_message of this HttpProbeResultSummary.
Gets the fetch_start of this HttpProbeResultSummary.
Gets the is_healthy of this HttpProbeResultSummary.
Gets the is_timed_out of this HttpProbeResultSummary.
Gets the key of this HttpProbeResultSummary.
Gets the probe_configuration_id of this HttpProbeResultSummary.
Gets the protocol of this HttpProbeResultSummary.
Gets the request_start of this HttpProbeResultSummary.
Gets the response_end of this HttpProbeResultSummary.
Gets the response_start of this HttpProbeResultSummary.
Gets the secure_connection_start of this HttpProbeResultSummary.
Gets the start_time of this HttpProbeResultSummary.
Gets the status_code of this HttpProbeResultSummary.
Gets the target of this HttpProbeResultSummary.
Gets the vantage_point_name of this HttpProbeResultSummary.
Methods:
__init__(**kwargs)Initializes a new HttpProbeResultSummary object with values from keyword arguments.
- ERROR_CATEGORY_DNS = 'DNS'¶
A constant which can be used with the error_category property of a HttpProbeResultSummary. This constant has a value of “DNS”
- ERROR_CATEGORY_NETWORK = 'NETWORK'¶
A constant which can be used with the error_category property of a HttpProbeResultSummary. This constant has a value of “NETWORK”
- ERROR_CATEGORY_NONE = 'NONE'¶
A constant which can be used with the error_category property of a HttpProbeResultSummary. This constant has a value of “NONE”
- ERROR_CATEGORY_SYSTEM = 'SYSTEM'¶
A constant which can be used with the error_category property of a HttpProbeResultSummary. This constant has a value of “SYSTEM”
- ERROR_CATEGORY_TRANSPORT = 'TRANSPORT'¶
A constant which can be used with the error_category property of a HttpProbeResultSummary. This constant has a value of “TRANSPORT”
- PROTOCOL_HTTP = 'HTTP'¶
A constant which can be used with the protocol property of a HttpProbeResultSummary. This constant has a value of “HTTP”
- PROTOCOL_HTTPS = 'HTTPS'¶
A constant which can be used with the protocol property of a HttpProbeResultSummary. This constant has a value of “HTTPS”
- __init__(**kwargs)¶
Initializes a new HttpProbeResultSummary object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
key (str) – The value to assign to the key property of this HttpProbeResultSummary.
probe_configuration_id (str) – The value to assign to the probe_configuration_id property of this HttpProbeResultSummary.
start_time (float) – The value to assign to the start_time property of this HttpProbeResultSummary.
target (str) – The value to assign to the target property of this HttpProbeResultSummary.
vantage_point_name (str) – The value to assign to the vantage_point_name property of this HttpProbeResultSummary.
is_timed_out (bool) – The value to assign to the is_timed_out property of this HttpProbeResultSummary.
is_healthy (bool) – The value to assign to the is_healthy property of this HttpProbeResultSummary.
error_category (str) – The value to assign to the error_category property of this HttpProbeResultSummary. Allowed values for this property are: “NONE”, “DNS”, “TRANSPORT”, “NETWORK”, “SYSTEM”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
error_message (str) – The value to assign to the error_message property of this HttpProbeResultSummary.
protocol (str) – The value to assign to the protocol property of this HttpProbeResultSummary. Allowed values for this property are: “HTTP”, “HTTPS”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
connection (oci.healthchecks.models.TcpConnection) – The value to assign to the connection property of this HttpProbeResultSummary.
dns (oci.healthchecks.models.DNS) – The value to assign to the dns property of this HttpProbeResultSummary.
status_code (int) – The value to assign to the status_code property of this HttpProbeResultSummary.
domain_lookup_start (float) – The value to assign to the domain_lookup_start property of this HttpProbeResultSummary.
domain_lookup_end (float) – The value to assign to the domain_lookup_end property of this HttpProbeResultSummary.
connect_start (float) – The value to assign to the connect_start property of this HttpProbeResultSummary.
secure_connection_start (float) – The value to assign to the secure_connection_start property of this HttpProbeResultSummary.
connect_end (float) – The value to assign to the connect_end property of this HttpProbeResultSummary.
fetch_start (float) – The value to assign to the fetch_start property of this HttpProbeResultSummary.
request_start (float) – The value to assign to the request_start property of this HttpProbeResultSummary.
response_start (float) – The value to assign to the response_start property of this HttpProbeResultSummary.
response_end (float) – The value to assign to the response_end property of this HttpProbeResultSummary.
duration (float) – The value to assign to the duration property of this HttpProbeResultSummary.
encoded_body_size (int) – The value to assign to the encoded_body_size property of this HttpProbeResultSummary.
- property connect_end¶
Gets the connect_end of this HttpProbeResultSummary. The time immediately after the vantage point finishes establishing the connection to the server to retrieve the resource.
- Returns
The connect_end of this HttpProbeResultSummary.
- Return type
float
- property connect_start¶
Gets the connect_start of this HttpProbeResultSummary. The time immediately before the vantage point starts establishing the connection to the server to retrieve the resource.
- Returns
The connect_start of this HttpProbeResultSummary.
- Return type
float
- property connection¶
Gets the connection of this HttpProbeResultSummary.
- Returns
The connection of this HttpProbeResultSummary.
- Return type
- property dns¶
Gets the dns of this HttpProbeResultSummary.
- Returns
The dns of this HttpProbeResultSummary.
- Return type
- property domain_lookup_end¶
Gets the domain_lookup_end of this HttpProbeResultSummary. The time immediately before the vantage point finishes the domain name lookup for the resource.
- Returns
The domain_lookup_end of this HttpProbeResultSummary.
- Return type
float
- property domain_lookup_start¶
Gets the domain_lookup_start of this HttpProbeResultSummary. The time immediately before the vantage point starts the domain name lookup for the resource.
- Returns
The domain_lookup_start of this HttpProbeResultSummary.
- Return type
float
- property duration¶
Gets the duration of this HttpProbeResultSummary. The total duration from start of request until response is fully consumed or the connection is closed.
- Returns
The duration of this HttpProbeResultSummary.
- Return type
float
- property encoded_body_size¶
Gets the encoded_body_size of this HttpProbeResultSummary. The size, in octets, of the payload body prior to removing any applied content-codings.
- Returns
The encoded_body_size of this HttpProbeResultSummary.
- Return type
int
- property error_category¶
Gets the error_category of this HttpProbeResultSummary. The category of error if an error occurs executing the probe. The errorMessage field provides a message with the error details. * NONE - No error * DNS - DNS errors * TRANSPORT - Transport-related errors, for example a “TLS certificate expired” error. * NETWORK - Network-related errors, for example a “network unreachable” error. * SYSTEM - Internal system errors.
Allowed values for this property are: “NONE”, “DNS”, “TRANSPORT”, “NETWORK”, “SYSTEM”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The error_category of this HttpProbeResultSummary.
- Return type
str
- property error_message¶
Gets the error_message of this HttpProbeResultSummary. The error information indicating why a probe execution failed.
- Returns
The error_message of this HttpProbeResultSummary.
- Return type
str
- property fetch_start¶
Gets the fetch_start of this HttpProbeResultSummary. The time immediately before the vantage point starts to fetch the resource.
- Returns
The fetch_start of this HttpProbeResultSummary.
- Return type
float
- property is_healthy¶
Gets the is_healthy of this HttpProbeResultSummary. True if the probe result is determined to be healthy based on probe type-specific criteria. For HTTP probes, a probe result is considered healthy if the HTTP response code is greater than or equal to 200 and less than 300.
- Returns
The is_healthy of this HttpProbeResultSummary.
- Return type
bool
- property is_timed_out¶
Gets the is_timed_out of this HttpProbeResultSummary. True if the probe did not complete before the configured timeoutInSeconds value.
- Returns
The is_timed_out of this HttpProbeResultSummary.
- Return type
bool
- property key¶
Gets the key of this HttpProbeResultSummary. A value identifying this specific probe result. The key is only unique within the results of its probe configuration. The key may be reused after 90 days.
- Returns
The key of this HttpProbeResultSummary.
- Return type
str
- property probe_configuration_id¶
Gets the probe_configuration_id of this HttpProbeResultSummary. The OCID of the monitor or on-demand probe responsible for creating this result.
- Returns
The probe_configuration_id of this HttpProbeResultSummary.
- Return type
str
- property protocol¶
Gets the protocol of this HttpProbeResultSummary. Allowed values for this property are: “HTTP”, “HTTPS”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The protocol of this HttpProbeResultSummary.
- Return type
str
- property request_start¶
Gets the request_start of this HttpProbeResultSummary. The time immediately before the vantage point starts requesting the resource from the server.
- Returns
The request_start of this HttpProbeResultSummary.
- Return type
float
- property response_end¶
Gets the response_end of this HttpProbeResultSummary. The time immediately after the vantage point receives the last byte of the response or immediately before the transport connection is closed, whichever comes first.
- Returns
The response_end of this HttpProbeResultSummary.
- Return type
float
- property response_start¶
Gets the response_start of this HttpProbeResultSummary. The time immediately after the vantage point’s HTTP parser receives the first byte of the response.
- Returns
The response_start of this HttpProbeResultSummary.
- Return type
float
- property secure_connection_start¶
Gets the secure_connection_start of this HttpProbeResultSummary. The time immediately before the vantage point starts the handshake process to secure the current connection.
- Returns
The secure_connection_start of this HttpProbeResultSummary.
- Return type
float
- property start_time¶
Gets the start_time of this HttpProbeResultSummary. The date and time the probe was executed, expressed in milliseconds since the POSIX epoch. This field is defined by the PerformanceResourceTiming interface of the W3C Resource Timing specification. For more information, see Resource Timing.
- Returns
The start_time of this HttpProbeResultSummary.
- Return type
float
- property status_code¶
Gets the status_code of this HttpProbeResultSummary. The HTTP response status code.
- Returns
The status_code of this HttpProbeResultSummary.
- Return type
int
- property target¶
Gets the target of this HttpProbeResultSummary. The target hostname or IP address of the probe.
- Returns
The target of this HttpProbeResultSummary.
- Return type
str
- property vantage_point_name¶
Gets the vantage_point_name of this HttpProbeResultSummary. The name of the vantage point that executed the probe.
- Returns
The vantage_point_name of this HttpProbeResultSummary.
- Return type
str